<div id="buildings" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent" >
       
    </div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    location_city
                </mat-icon>
                <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search for a building">
                    </div>
                </div>
            </div>
            <div>
                <mat-paginator style="border-radius: 32px;height: 50px;
                margin-top: -21px; align-items: center;display: flex;"  #paginatorRef  [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator>
            </div>





        </div>
        <!-- / HEADER -->

        <!-- ADD BUTTON -->
        <button class="add-button" mat-fab color="primary" id="add-button" (click)="addBuilding()" >
            <mat-icon>add</mat-icon>
        </button>
        <button class="scroll-button" mat-fab color="primary" id="add-button" (click)="container.scrollTo(0,0)">
            <mat-icon>arrow_upward</mat-icon>
        </button>

        <!-- CONTENT CARD -->
        <div #container class="content-card" style="overflow: auto;
      ">
            <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
                <!-- First Name Column -->
                <ng-container matColumnDef="id" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Id</mat-header-cell>
                    <mat-cell *matCellDef="let allBuildings;let i=dataIndex">
                        <p class="text-truncate">{{ paginatorRef.pageIndex * paginatorRef.pageSize + i + 1}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="name" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Name</mat-header-cell>
                    <mat-cell *matCellDef="let allBuildings">
                        <p class="text-truncate">{{allBuildings.name}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="location" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Location</mat-header-cell>
                    <mat-cell *matCellDef="let allBuildings">
                        <p class="text-truncate">{{allBuildings.address}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="payments" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Payment-Reports</mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;" *matCellDef="let allBuildings">
                        <img src="/assets/images/money.svg" alt="" srcset="" height="30px" width="18%" (click)="paymentsreports(allBuildings)">
                        <!-- <mat-icon (click)="paymentsreports(allBuildings)">home</mat-icon> -->
                    </mat-cell>
                </ng-container>
               
            

                <ng-container matColumnDef="edit" >
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Edit</mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;" *matCellDef="let allBuildings">
                        <mat-icon (click)="editBuilding(allBuildings);$event.stopPropagation()">edit</mat-icon>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="delete">
                    <mat-header-cell style="min-width: 40px;" *matHeaderCellDef mat-sort-header
                        style="justify-content: flex-end;">Delete</mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;justify-content: flex-end;"
                        *matCellDef="let allBuildings">
                        <mat-icon style="color: red;" (click)='deleteBuilding(allBuildings)'>delete</mat-icon>
                    </mat-cell>
                </ng-container>
                
                

               


                <mat-header-row *matHeaderRowDef=" displayedColumns"> </mat-header-row>
                <mat-row *matRowDef="let allLocations; columns: displayedColumns;"> </mat-row>
            </table>
            <!-- <mat-paginator [pageSize]="10"  #paginatorRef  [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator> -->

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>